-- Application configuration.


local ROOT = os.getenv("PKA_ROOT") or "./"

return {
    md = {
        -- Single-valued fields. TODO rely on content model.
        single_values = {
            ["pas:id"] = true,
            ["pas:type"] = true,
            ["pas:prefLabel"] = true,
            ["path"] = true
        },
    },
    fs = {
        -- Base path to write opaque resources.
        ores_path = ROOT .. "data/ores/",

        -- How many bytes to read when handling files. Adjust to memory
        -- availability.
        stream_chunk_size = 4 * 1024 ^ 2,  -- 4Mb
    }
}
